Debian Bug report logs - #699936
PTS: clang archive recompilation links

Package: qa.debian.org; Maintainer for qa.debian.org is debian-qa@lists.debian.org;

Reported by: Paul Wise <pabs@debian.org>

Date: Thu, 7 Feb 2013 01:18:01 UTC

Severity: normal

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, sylvestre@debian.org, debian-qa@lists.debian.org:
Bug#699936; Package qa.debian.org. (Thu, 07 Feb 2013 01:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
New Bug report received and forwarded. Copy sent to sylvestre@debian.org, debian-qa@lists.debian.org. (Thu, 07 Feb 2013 01:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: bts <submit@bugs.debian.org>
Subject: PTS: clang archive recompilation links
Date: Thu, 07 Feb 2013 09:09:19 +0800
[Message part 1 (text/plain, inline)]
Package: qa.debian.org
Severity: normal
User: qa.debian.org@packages.debian.org
Usertags: pts
X-Debbugs-CC: Sylvestre Ledru <sylvestre@debian.org>

The PTS should link to clang.debian.net for packages that fail to build
with LLVM/Clang. More information about clang.d.n is here:

http://sylvestre.ledru.info/blog/sylvestre/2013/02/06/rebuild_of_debian_using_clang_3_2

Requirements from the clang.d.n site:

Per-source-package pages with predictable URLs and links to build logs.

A list of source packages which the PTS should link to. This can just be
a new-line separated list of packages.

If more than just a link is needed, machine-readable info about what
should be presented will be needed.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#699936; Package qa.debian.org. (Thu, 07 Feb 2013 11:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Thu, 07 Feb 2013 11:12:03 GMT) Full text and rfc822 format available.

Message #10 received at 699936@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: Paul Wise <pabs@debian.org>, 699936@bugs.debian.org
Subject: Re: Bug#699936: PTS: clang archive recompilation links
Date: Thu, 07 Feb 2013 12:02:43 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 07/02/2013 02:09, Paul Wise wrote:
> Package: qa.debian.org Severity: normal User:
> qa.debian.org@packages.debian.org Usertags: pts X-Debbugs-CC:
> Sylvestre Ledru <sylvestre@debian.org>
> 
> The PTS should link to clang.debian.net for packages that fail to
> build with LLVM/Clang. More information about clang.d.n is here:
> 
> http://sylvestre.ledru.info/blog/sylvestre/2013/02/06/rebuild_of_debian_using_clang_3_2
>
>  Requirements from the clang.d.n site:
> 
> Per-source-package pages with predictable URLs and links to build
> logs.
> 
> A list of source packages which the PTS should link to. This can
> just be a new-line separated list of packages.
> 
> If more than just a link is needed, machine-readable info about
> what should be presented will be needed.
I can do that this week end.  :)

We had this discussion a while ago:
http://lists.debian.org/debian-qa/2012/02/msg00089.html
At this time, you didn't had any preference on the format. Is it still
the case ? I write some various formats if you want.

Thanks again,
Sylvestre

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Using GnuPG with Icedove - http://www.enigmail.net/

iEYEARECAAYFAlETidMACgkQiOXXM92JlhByHwCgsy2PJHXgNUwXAz7uZ48p1Noo
EsMAoLBpiQzFXEj8TzPHLdKr7PKBSOjy
=Ju8b
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#699936; Package qa.debian.org. (Thu, 07 Feb 2013 11:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Thu, 07 Feb 2013 11:36:06 GMT) Full text and rfc822 format available.

Message #15 received at 699936@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: 699936@bugs.debian.org
Subject: Re: Bug#699936: PTS: clang archive recompilation links
Date: Thu, 7 Feb 2013 19:33:20 +0800
On Thu, Feb 7, 2013 at 7:02 PM, Sylvestre Ledru wrote:

> I can do that this week end.  :)

Great :)

> We had this discussion a while ago:
> http://lists.debian.org/debian-qa/2012/02/msg00089.html

Woops!

> At this time, you didn't had any preference on the format. Is it still
> the case ? I write some various formats if you want.

Lets start with a newline separated list of source packages that the
PTS should link to. It will link to the clang source package URLs with
the text "clang build issues".

If you want to add TODO items we can switch to something else later.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise



Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#699936; Package qa.debian.org. (Fri, 08 Feb 2013 17:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre.ledru@scilab-enterprises.com>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Fri, 08 Feb 2013 17:39:03 GMT) Full text and rfc822 format available.

Message #20 received at 699936@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre.ledru@scilab-enterprises.com>
To: Paul Wise <pabs@debian.org>, 699936@bugs.debian.org
Subject: Re: Bug#699936: PTS: clang archive recompilation links
Date: Fri, 08 Feb 2013 18:37:36 +0100
On 07/02/2013 12:33, Paul Wise wrote:
> On Thu, Feb 7, 2013 at 7:02 PM, Sylvestre Ledru wrote:
> 
>> I can do that this week end.  :)
> 
> Great :)
> 
>> We had this discussion a while ago:
>> http://lists.debian.org/debian-qa/2012/02/msg00089.html
> 
> Woops!
> 
>> At this time, you didn't had any preference on the format. Is it still
>> the case ? I write some various formats if you want.
> 
> Lets start with a newline separated list of source packages that the
> PTS should link to. It will link to the clang source package URLs with
> the text "clang build issues".

It is was you expect ?
http://clang.debian.net/pts.php

It is basically
$1 = package name
$2 = version
$3 = url to the log
$4=>end = the detected error

Not sure you need the last item.

Sylvestre




Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#699936; Package qa.debian.org. (Fri, 08 Feb 2013 21:24:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Fri, 08 Feb 2013 21:24:10 GMT) Full text and rfc822 format available.

Message #25 received at 699936@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: 699936@bugs.debian.org
Subject: Re: Bug#699936: PTS: clang archive recompilation links
Date: Sat, 9 Feb 2013 05:20:56 +0800
On Sat, Feb 9, 2013 at 1:37 AM, Sylvestre Ledru wrote:

> It is was you expect ?
> http://clang.debian.net/pts.php
>
> It is basically
> $1 = package name
> $2 = version
> $3 = url to the log
> $4=>end = the detected error
>
> Not sure you need the last item.

Thanks, I've added a link to the build logs, you can see examples here
until the next full build:

http://packages.qa.debian.org/0/0ad.html
http://packages.qa.debian.org/w/warzone2100.html

For now the code only uses the package names and log URLs.

Further thoughts:

Instead of linking directly to the build log, it would be nice to link
to a page on clang.d.n for each source package, listing just the
errors and warnings for the current package with links to the current
and past build logs.

Could you set the page MIME type to text/plain? It clearly should not
be text/html.

Do you want anything more than a link in the links section on the PTS?

-- 
bye,
pabs

http://wiki.debian.org/PaulWise



Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#699936; Package qa.debian.org. (Sat, 09 Feb 2013 11:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Bernhard R. Link" <brlink@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Sat, 09 Feb 2013 11:18:03 GMT) Full text and rfc822 format available.

Message #30 received at 699936@bugs.debian.org (full text, mbox):

From: "Bernhard R. Link" <brlink@debian.org>
To: 699936@bugs.debian.org
Cc: Sylvestre Ledru <sylvestre.ledru@scilab-enterprises.com>
Subject: Re: Bug#699936: PTS: clang archive recompilation links
Date: Sat, 9 Feb 2013 12:14:15 +0100
* Sylvestre Ledru <sylvestre.ledru@scilab-enterprises.com> [130208 17:37]:
> > Lets start with a newline separated list of source packages that the
> > PTS should link to. It will link to the clang source package URLs with
> > the text "clang build issues".
> 
> It is was you expect ?
> http://clang.debian.net/pts.php
> 
> It is basically
> $1 = package name
> $2 = version
> $3 = url to the log
> $4=>end = the detected error
> 
> Not sure you need the last item.

Is there a way to have a whitelist for issues the package maintainer
can actually fix? When showing issues in PTS that can only be fixed
by extending clang you only train maintainers to ignore the warning
so they might miss it once this finds an actual issue.

        Bernhard R. Link



Reply sent to Giovanni Mascellani <gio@debian.org>:
You have taken responsibility. (Fri, 16 Aug 2013 14:12:10 GMT) Full text and rfc822 format available.

Notification sent to Paul Wise <pabs@debian.org>:
Bug acknowledged by developer. (Fri, 16 Aug 2013 14:12:10 GMT) Full text and rfc822 format available.

Message #35 received at 699936-done@bugs.debian.org (full text, mbox):

From: Giovanni Mascellani <gio@debian.org>
To: 699936-done@bugs.debian.org
Subject: clang integrated in PTS
Date: Fri, 16 Aug 2013 16:00:43 +0200
[Message part 1 (text/plain, inline)]
I think this bug was fixed and am closing it. If something still needs
to be done, please reopen and state it.

Gio.
-- 
Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
Pisa, Italy

Web: http://poisson.phc.unipi.it/~mascellani
Jabber: g.mascellani@jabber.org / giovanni@elabor.homelinux.org

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#699936; Package qa.debian.org. (Sat, 17 Aug 2013 09:06:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Sat, 17 Aug 2013 09:06:24 GMT) Full text and rfc822 format available.

Message #40 received at 699936@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Giovanni Mascellani <gio@debian.org>
Cc: 699936@bugs.debian.org, Sylvestre Ledru <sylvestre@debian.org>
Subject: Re: clang integrated in PTS
Date: Sat, 17 Aug 2013 11:05:40 +0200
[Message part 1 (text/plain, inline)]
Control: reopen -1

On Fri, 2013-08-16 at 16:00 +0200, Giovanni Mascellani wrote:

> I think this bug was fixed and am closing it. If something still needs
> to be done, please reopen and state it.

Currently the PTS links to the clang build logs all the time, even when
the package is in Needs-Build state. I think it would be more useful to
link only when the package has been built or failed to build. Sylvestre,
could we get a text file with a list of packages not at Needs-Build?

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Bug reopened Request was from Paul Wise <pabs@debian.org> to 699936-submit@bugs.debian.org. (Sat, 17 Aug 2013 09:06:24 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#699936; Package qa.debian.org. (Sat, 17 Aug 2013 10:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giovanni Mascellani <gio@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Sat, 17 Aug 2013 10:27:04 GMT) Full text and rfc822 format available.

Message #47 received at 699936@bugs.debian.org (full text, mbox):

From: Giovanni Mascellani <gio@debian.org>
To: Paul Wise <pabs@debian.org>
Cc: 699936@bugs.debian.org, Sylvestre Ledru <sylvestre@debian.org>
Subject: Re: clang integrated in PTS
Date: Sat, 17 Aug 2013 12:16:52 +0200
[Message part 1 (text/plain, inline)]
Hi Paul.

Il 17/08/2013 11:05, Paul Wise ha scritto:
> Currently the PTS links to the clang build logs all the time, even when
> the package is in Needs-Build state. I think it would be more useful to
> link only when the package has been built or failed to build. Sylvestre,
> could we get a text file with a list of packages not at Needs-Build?

Personally I'd prefer to have the link for all packages rebuilt with
clang, but do as you wish.

Gio.
-- 
Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
Pisa, Italy

Web: http://poisson.phc.unipi.it/~mascellani
Jabber: g.mascellani@jabber.org / giovanni@elabor.homelinux.org

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#699936; Package qa.debian.org. (Sat, 17 Aug 2013 12:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Sat, 17 Aug 2013 12:18:05 GMT) Full text and rfc822 format available.

Message #52 received at 699936@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Giovanni Mascellani <gio@debian.org>
Cc: 699936@bugs.debian.org, Sylvestre Ledru <sylvestre@debian.org>
Subject: Re: clang integrated in PTS
Date: Sat, 17 Aug 2013 14:14:50 +0200
[Message part 1 (text/plain, inline)]
On Sat, 2013-08-17 at 12:16 +0200, Giovanni Mascellani wrote:

> Personally I'd prefer to have the link for all packages rebuilt with
> clang, but do as you wish.

Could you explain why knowing that a package is Needs-Build for clang
based builds is useful to you? Needs-Build is useful for the official
gcc based buildds because this state has other effects on the package,
like not being able to transition to testing. For the clang based
builds, clicking on the clang link just to find out that the clang-based
buildds haven't yet built it is basically a waste of maintainer time as
far as I can tell. The PTS has traditionally tried to avoid doing that.

Any opinions from other folks?

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#699936; Package qa.debian.org. (Sat, 17 Aug 2013 12:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giovanni Mascellani <gio@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Sat, 17 Aug 2013 12:36:04 GMT) Full text and rfc822 format available.

Message #57 received at 699936@bugs.debian.org (full text, mbox):

From: Giovanni Mascellani <gio@debian.org>
To: Paul Wise <pabs@debian.org>
Cc: 699936@bugs.debian.org, Sylvestre Ledru <sylvestre@debian.org>
Subject: Re: clang integrated in PTS
Date: Sat, 17 Aug 2013 14:34:03 +0200
[Message part 1 (text/plain, inline)]
Hi.

Il 17/08/2013 14:14, Paul Wise ha scritto:
> On Sat, 2013-08-17 at 12:16 +0200, Giovanni Mascellani wrote:
> 
>> Personally I'd prefer to have the link for all packages rebuilt with
>> clang, but do as you wish.
> 
> Could you explain why knowing that a package is Needs-Build for clang
> based builds is useful to you? Needs-Build is useful for the official
> gcc based buildds because this state has other effects on the package,
> like not being able to transition to testing. For the clang based
> builds, clicking on the clang link just to find out that the clang-based
> buildds haven't yet built it is basically a waste of maintainer time as
> far as I can tell. The PTS has traditionally tried to avoid doing that.

Mostly I don't like PTS links to be too volatile; for me, the presence
of a "clang" link just says that the clang service is meaningful with
respect to this (source) package. It is reasonable to add another small
piece of information to avoid wasting the users' time, but just loosing
the link to clang is (in my opinion) not very friendly.

Anyway, I think it is not the first time I have a different opinion from
the design principles of PTS. I can live with it, my opinion is not
really strong.

Gio.
-- 
Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
Pisa, Italy

Web: http://poisson.phc.unipi.it/~mascellani
Jabber: g.mascellani@jabber.org / giovanni@elabor.homelinux.org

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#699936; Package qa.debian.org. (Sat, 17 Aug 2013 12:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Sat, 17 Aug 2013 12:57:04 GMT) Full text and rfc822 format available.

Message #62 received at 699936@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Giovanni Mascellani <gio@debian.org>, 699936@bugs.debian.org
Cc: Sylvestre Ledru <sylvestre@debian.org>
Subject: Re: Bug#699936: clang integrated in PTS
Date: Sat, 17 Aug 2013 14:52:36 +0200
On Sat, Aug 17, 2013 at 2:34 PM, Giovanni Mascellani wrote:

> Anyway, I think it is not the first time I have a different opinion from
> the design principles of PTS. I can live with it, my opinion is not
> really strong.

With the PTS rewrite to be more dynamic, there is the possibility that
we could add logins or cookie-based ways for you to have what you want
while leaving the PTS showing as minimal info as possible by default.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise



Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#699936; Package qa.debian.org. (Sat, 17 Aug 2013 13:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Sat, 17 Aug 2013 13:09:03 GMT) Full text and rfc822 format available.

Message #67 received at 699936@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: Giovanni Mascellani <gio@debian.org>, 699936@bugs.debian.org
Cc: Paul Wise <pabs@debian.org>, Sylvestre Ledru <sylvestre@debian.org>
Subject: Re: Bug#699936: clang integrated in PTS
Date: Sat, 17 Aug 2013 15:06:55 +0200
[Message part 1 (text/plain, inline)]
On Sat, Aug 17, 2013 at 02:34:03PM +0200, Giovanni Mascellani wrote:
> Mostly I don't like PTS links to be too volatile; for me, the presence
> of a "clang" link just says that the clang service is meaningful with
> respect to this (source) package. It is reasonable to add another small
> piece of information to avoid wasting the users' time, but just loosing
> the link to clang is (in my opinion) not very friendly.
> 
> Anyway, I think it is not the first time I have a different opinion from
> the design principles of PTS. I can live with it, my opinion is not
> really strong.

So, the design principle at stake here is slightly different. The point
of it has always been to avoid having visitor click on a link just to
discover whether there is something for them there or not.

Such a principle has often been implemented by making links "volatile",
as you say, but that's not the only way to do it.  In this specific case
one can for instance have a link and decorate it with a trailing "(X)"
where X is the number of "things" to be seen there.

This way, the visitor can learn that they do not need to click if the
annotation is not there, and everyone else who want the link to be
always present can be happy too.

OTOH, if it really there is *nothing to see* in the "(0)" case, it is
indeed probably pointless to have the link in the first place. YMMV.

Cheers.
-- 
Stefano Zacchiroli  . . . . . . .  zack@upsilon.cc . . . . o . . . o . o
Maître de conférences . . . . . http://upsilon.cc/zack . . . o . . . o o
Former Debian Project Leader  . . @zack on identi.ca . . o o o . . . o .
« the first rule of tautology club is the first rule of tautology club »
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#699936; Package qa.debian.org. (Sun, 18 Aug 2013 09:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Boris Pek <tehnick@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Sun, 18 Aug 2013 09:54:05 GMT) Full text and rfc822 format available.

Message #72 received at 699936@bugs.debian.org (full text, mbox):

From: Boris Pek <tehnick@debian.org>
To: Paul Wise <pabs@debian.org>, 699936@bugs.debian.org
Cc: Sylvestre Ledru <sylvestre@debian.org>, Giovanni Mascellani <gio@debian.org>
Subject: Re: Bug#699936: clang integrated in PTS
Date: Sun, 18 Aug 2013 12:50:17 +0300
Hi,

>>  Personally I'd prefer to have the link for all packages rebuilt with
>>  clang, but do as you wish.
>
> Could you explain why knowing that a package is Needs-Build for clang
> based builds is useful to you? Needs-Build is useful for the official
> gcc based buildds because this state has other effects on the package,
> like not being able to transition to testing. For the clang based
> builds, clicking on the clang link just to find out that the clang-based
> buildds haven't yet built it is basically a waste of maintainer time as
> far as I can tell. The PTS has traditionally tried to avoid doing that.
>
> Any opinions from other folks?

There is hyperlink "old" there, which gives fast access to logs of old builds.
It may be useful for someone.

Best wishes,
Boris

-- 
https://wiki.debian.org/BorisPek



Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#699936; Package qa.debian.org. (Tue, 27 Aug 2013 08:39:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Tue, 27 Aug 2013 08:39:10 GMT) Full text and rfc822 format available.

Message #77 received at 699936@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Boris Pek <tehnick@debian.org>
Cc: 699936@bugs.debian.org, Sylvestre Ledru <sylvestre@debian.org>, Giovanni Mascellani <gio@debian.org>
Subject: Re: Bug#699936: clang integrated in PTS
Date: Mon, 26 Aug 2013 19:52:02 +0200
[Message part 1 (text/plain, inline)]
On Sun, 2013-08-18 at 12:50 +0300, Boris Pek wrote:

> There is hyperlink "old" there, which gives fast access to logs of old builds.
> It may be useful for someone. 

Hmm, good point. For the current static PTS it would probably be best if
the link were to stay in all cases then. For the new dynamic PTS,
perhaps a preference for when to show the clang link could be added:

      * always
      * when the current version failed
      * when a previous version failed
      * when the current version has been tried
      * when a previous version has been tried

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 05:35:08 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.